The new Cocoon beta - now open!

  • cranberrygame

    Thank you Sang, are you going to fix all your plugins? I'm interested in:

    • Google Play (leaderboards & achievements)
    • IAP - maybe not necessary as this one should already work with the official Cocoon C2 plugin, but I haven't tried it
    • Appodeal
  • cranberrygame

    Thanks alot my dear.

  • Noga

    Yes,

    Want to make all plugins compatible.

    Egyptoon

    How about performance of cocoon in your app?

  • Noga

    Appodeal now building succeeded with cocoon.

    See this to install appodeal plugin in cocoon: https://github.com/cranberrygame/cordov ... d-appodeal

    Thanks

  • After compiling my game and getting everything to work I recieve the following error in developers console advanced mode when uploading both the x86 and armv file

    "This configuration cannot be published for the following reason(s):

    Version 12 is not served to any device configuration: all devices that might receive version 12 would receive version 14.

    Some devices are eligible to run multiple APKs. In such a scenario, the device will receive the APK with the higher version code."

    Anyone know whats causing the issue?

    ludei

  • Excuseme, can i use C2 + Admob + MoPub + CJS now? Thanks

    #I just beginner

  • Appodeal now building succeeded with cocoon.

    Thanks, I'll try it out.

    You'll have to deactivate version 12.

  • > Appodeal now building succeeded with cocoon.

    >

    Thanks, I'll try it out.

    You'll have to deactivate version 12.

    Problem is i never had any versions previously, and the version 12 is the arm file that was compiled from cocoon io.

    Here is the screenie of it

  • cranberrygame

    The old cocoon is just fine, the new one (cocoon.io) didn't work for me and i don't know why, it gives me a black screen.

    here is my game build with old cocoon https://play.google.com/store/apps/deta ... propaganda

  • Egyptoon

    Oh,

    Expect Cocoon team will fix the issue!

    Good Luck!

    Sang Ki Kwon

  • Problem is i never had any versions previously, and the version 12 is the arm file that was compiled from cocoon io.

    What's that version 14? There's no native platforms filled. It counts version 14 as an arm version, so it wants you to deactivate the version 12. You'll have to change the version number in Cocoon from 12 to 14 or higher or delete version 14 or reupload version 14. It should look something like this.

    60014 (1.0.1) x86
    20014 (1.0.1) armeabi-v7a
    [/code:rrw2arnc]
  • Try Construct 3

    Develop games in your browser. Powerful, performant & highly capable.

    Try Now Construct 3 users don't see these ads
  • > Problem is i never had any versions previously, and the version 12 is the arm file that was compiled from cocoon io.

    >

    What's that version 14? There's no native platforms filled. It counts version 14 as an arm version, so it wants you to deactivate the version 12. You'll have to change the version number in Cocoon from 12 to 14 or higher or delete version 14 or reupload version 14. It should look something like this.

    > 60014 (1.0.1) x86
    20014 (1.0.1) armeabi-v7a
    [/code:36pxk1m3]
    

    By version code you mean in this page right?

    Im not sure why the version codes are messed up i compiled both via cocoon.io and started a fresh listing in my dev console in googleplay

  • By version code you mean in this page right?

    Yes. Try compile new apks with version code 15 and upload them to the Google dev console and deactivate both 12 and 14.

  • Is there a tutotial on how to setup cocoon.io with construct 2 and include cordova plugins? I would like to implement a leaderboard but where do I start?

    cheers

  • ludei

    I'm having no luck exporting a very basic Android test project which features no plugins. Deleted the config file and removed whitelisting. The Canvas+ apk opens in a tiny window and flickers, accepting no touch input. I've tried it in developer app and get the error "cannot open the javascript file "cordova.js: IllegalArgumentException"

Jump to:
Active Users
There are 1 visitors browsing this topic (0 users and 1 guests)